Package org.apache.tools.mail

## Class ErrorInQuitException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.tools.mail.ErrorInQuitException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ErrorInQuitException
    extends java.io.IOException

Specialized IOException that get thrown if SMTP's QUIT command fails.

This seems to happen with some version of MS Exchange that doesn't respond with a 221 code immediately. See Bug report 5273.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ErrorInQuitException​(java.io.IOException e)` Initialise from an IOException

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ErrorInQuitException

    public ErrorInQuitException​(java.io.IOException e)

Initialise from an IOException

Parameters:
  `e` - the IO Exception.